Bug 1680233

Summary: conflict between i686 and x86_64 devel packages
Product: [Fedora] Fedora Reporter: Vladimir Bespalov <vlad.botanic>
Component: gstreamer1-plugins-bad-freeAssignee: Brian Pepple <bdpepple>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 29CC: bdpepple, loic.yhuel, negativo17, uraeus, wtaymans
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-27 23:29:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vladimir Bespalov 2019-02-23 08:55:40 UTC
Description of problem:

    dnf install gstreamer1-plugins-bad-free-devel.{i686,x86_64}

fails with
error: Transaction check error:
  file /usr/share/gtk-doc/html/gst-plugins-bad-plugins-1.0/gst-plugins-bad-plugins-gmedec.html conflicts between attempted installs of gstreamer1-plugins-bad-free-devel-1.14.4-1.fc29.i686 and gstreamer1-plugins-bad-free-devel-1.14.4-1.fc29.x86_64
  file /usr/share/gtk-doc/html/gst-plugins-bad-plugins-1.0/gst-plugins-bad-plugins-neonhttpsrc.html conflicts between attempted installs of gstreamer1-plugins-bad-free-devel-1.14.4-1.fc29.i686 and gstreamer1-plugins-bad-free-devel-1.14.4-1.fc29.x86_64

Comment 1 Loïc Yhuel 2019-07-31 01:10:37 UTC
I created https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/issues/1040 upstream.

The documentation contains pages for both old and new plugin names (those two plugins have been renamed in 1.16.0).
The i686 package has the element pages (gst-plugins-bad-plugins-gmedec.html and gst-plugins-bad-plugins-neonhttpsrc.html) point to the new plugin pages, while the x86_64 one points to the old plugin names.
That's why there is a conflict.

In the upstream online manual (https://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-bad/html), it's even weirder, since gmedec element points to the old plugin name, while neonhttpsrc element points the the new plugin name.

Comment 2 Loïc Yhuel 2019-07-31 01:13:10 UTC
(In reply to Loïc Yhuel from comment #1)
> The documentation contains pages for both old and new plugin names (those
> two plugins have been renamed in 1.16.0).
renamed in **1.14.0**, sorry

Comment 3 Ben Cotton 2019-10-31 18:48:18 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 23:29:19 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.